## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcNavGraphRules Member List

This is the complete list of members for iPcNavGraphRules, including all inherited members.

FindNearestNode(iPcNavGraph *graph, csVector3 *point, iSector *sector, iCelEntity *ent)=0 | iPcNavGraphRules | `[pure virtual]`
FindShortestPath(iPcNavGraph *graph, size_t iNodeStart, size_t iNodeEnd, size_t *&ipath)=0 | iPcNavGraphRules | `[pure virtual]`
OptimiseGraph(iPcNavGraph *graph)=0 | iPcNavGraphRules | `[pure virtual]`
TraverseLink(iPcNavGraph *graph, iSector *sector, iPcNavLink *plink, iCelEntity *ent)=0 | iPcNavGraphRules | `[pure virtual]`